{{define "motiveUpload"}}
<button id="motiveCollBtn" onclick="newMotiveCollClick()">Neue Motivsammlung</button>
<button id="motiveCollUploadBtn" onclick="uploadMotiveClick()">Zu Motiven hinzufügen</button>
<button id="motiveBrowserBtn" onclick="motiveBrowsClick(); showMotives()">Motive inspizieren</button>


<div id="motiveCollDiv" class="popup-form hidden">
  <form action="/picx/addMotivesColl" method="post">
    <label for="motiveCollName">Name:</label>
    <input type="text" name="motiveCollName" id="motiveCollName">
    <input type="submit" value="New Motive Collection">
  </form>
</div>

<div id="uploadMotiveCollDiv" class="popup-form hidden">
  <form action="/picx/uploadToMotives" method="post" enctype="multipart/form-data" name="motiveUploadForm">
    <label for="motiveColl">Motivsammlung auswählen:</label>
    <select name="motiveColl" id="motiveColl">
      {{range .MotiveColls}}
      <option value="{{.IDHex}}">{{.Name}}</option>
      {{end}}
    </select>
    <label for="motiveName">Name für das Motiv:</label>
    <input type="text" name="motiveName" id="motiveName" required>
    <input type="file" name="fileUpload" id="fileUpload" multiple required>
    <input type="submit" value="Upload">
  </form>
</div>

<div id="motiveBrowser" class="popup-form hidden">

  <form action="">
    <select name="motiveInsp" id="motiveInsp" onchange="showMotives();">
      {{range .MotiveColls}}
      <option value="{{.IDHex}}">{{.Name}}</option>
      {{end}}
    </select>
  </form>

  <div id="motivePics"></div>
</div>

{{end}}